Bug 10258 - crash on broken ID3v2 tag
: crash on broken ID3v2 tag
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 critical
Assigned To:
:
: http://bugs.xmms.org/show_bug.cgi?id=...
:
:
:
  Show dependency tree
 
Reported: 2006-11-11 19:58 by
Modified: 2007-02-23 20:14 (History)


Attachments
пример файла с испорченным ID3v2 (6.00 KB, audio/mpeg)
2006-11-11 20:01, Sergey Vlasov
no flags Details
it was in id3v2 indeed... (498 bytes, patch)
2006-11-24 14:09, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-11 19:58:22
xmms-1.2.10-alt11 (x86_64) падает при попытке добавления в список файлов с
неверным тегом ID3v2 (в байте "Text encoding" вместо допустимых по спецификации
ID3 v2.3 значений 0x00 и 0x01 каким-то образом оказалось значение 0x20). Какой
программой были созданы такие файлы, неизвестно, однако падение на файлах
"специального вида" наводит на нехорошие мысли.
------- Comment #1 From 2006-11-11 20:01:01 -------
Created an attachment (id=1677) [details]
пример файла с испорченным ID3v2
------- Comment #2 From 2006-11-11 23:32:14 -------
Похоже, проблема с rusxmms -- голый тарбол не падает.  Автора уведомил.
------- Comment #3 From 2006-11-12 21:45:07 -------
Сурен говорит, что у него на gentoo падает сборка при отключенном rusxmms. Пока
думаю на id3v2 tag editor.
------- Comment #4 From 2006-11-24 14:09:29 -------
Created an attachment (id=1685) [details]
it was in id3v2 indeed...

Вот патчик от Suren Chilingaryan, приложу в следующей же сборке.
------- Comment #5 From 2006-12-17 22:44:54 -------
fixed in 1.2.10-alt12